Update a planningAsk AIpatch https://api.datananas.com/plannings/{id}Update a planning by idPath ParamsidstringrequiredResource unique identifierBody ParamsPlanning propertiesdaysobjectList of days with sending hours to apply. Each day is an array that contains a list of slot. Each slot is an array of two cells with offset 0 the hour at which the slot begins and offset 1 the hour at which the slot endsdays objectdaysOffarrayList of day during which no sending should occurdaysOffADD DayOffCountry | DayOffCustomdescriptionstringUser given descriptionnamestringplanning nametimezonestringTimezoneResponses 200Planning successfully updated 403The user does not have the rights to access this resource 404The resource the user wants to access can't be found 409A planning with the same name already exists in the company 422The request cannot be processed: invalid_day: A day is badly formatted invalid_day_off: A day off is invalid planning_used: Only the name and the description of the planning can be edited when the planning is in use (at least one contact is in "active" or "added" state in a sequence in which the planning is used) scheduling_hours: Inconsistency between new planning scheduling hours and at least one step of one sequence in which the planning is used. When it happens, the data property of the UnprocessabeError will contain a campaigns property that is an array of object formatted like { name, _id } Updated over 2 years ago